Account List Inquiry API
Requests a customer's account list information.
Retrieve the list of accounts registered (direct debit enrolled) under the customer's ID.
API Information
POST/v1/api/acnt/list
Content-Type
application/json테스트
https://tbnpay.settlebank.co.kr/v1/api/acnt/list운영
https://npay.settlebank.co.kr/v1/api/acnt/listRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Unique Merchant ID assigned by Hecto Financial.
Unique Merchant ID assigned by Hecto Financial.
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Unique customer ID or key provided by the merchant.Unique customer ID or key provided by the merchant.
└bankCdAN(3)Alphanumeric, up to 3 bytesBank code.
Bank code.
*3-digit bank code
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
*yyyyMMdd
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
*HH24MISS
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
*Merchant ID + customer ID (plaintext) + request date + request time + auth key
Request Hash Code
| Item | Combined fields |
|---|---|
| pktHash value | Merchant ID + customer ID (plaintext) + request date + request time + auth key |
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (success/failure).
Transaction status code (success/failure).
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
Decline code.
*Refer to rejection code table
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
*Error details are returned when an error occurs.
└dataCntN(4)Numeric, up to 4 bytes*Number of accounts.
10Number of accounts.
*Number of records when transaction history exists
└acntRecords<object>*Account history.
Account history.
└--recordTrdDtAN(14)Alphanumeric, up to 14 bytes*Registration date and time.
20210820000000Registration date and time.
*yyyyMMddhhmmss
└--recordBankCdAN(3)Alphanumeric, up to 3 bytes*Bank code.
004Bank code.
└--recordCustAcntNoAN(15)Alphanumeric, up to 15 bytes*Account number.
831*******11Account number.
*Account number is masked (e.g., 234********123)
└--recordCustAcntKeyAN(50)Alphanumeric, up to 50 bytes*Customer account key.
d5409fdsl3558Customer account key.
*Serial number of the registered direct debit account
└--recordSvcDivCdN(4)Numeric, up to 4 bytes*Account enrollment service type.
Account enrollment service type.
1: Firm banking 2: Open Banking 3: Firm banking & Open Banking*Service registered for direct debit
└--recordUnregDtAN(14)Alphanumeric, up to 14 bytesTermination date and time.
20210820000000Termination date and time.
*yyyyMMddhhmmss
Request Example
{
"hdInfo": "SPAY_LA00_1.0",
"mchtId": "midtest",
"mchtCustId": "AES-encrypted customer ID",
"bankCd": "004",
"reqDt": "20191231",
"reqTm": "120000",
"pktHash": "hash value"
}
Response Example
{
"outStatCd": "0021",
"outRsltCd": "0000",
"outRsltMsg": "Processed successfully.",
"dataCnt": "1",
"acntRecords": [
{
"recordTrdDt": "20210820000000",
"recordBankCd": "004",
"recordCustAcntNo": "831*******11",
"recordCustAcntKey": "d5409fdsl3558",
"recordSvcDivCd": "2",
"recordUnregDt": "20210820000000"
}
]
}
Need technical support?
Code Samples
HectoFinancial GitHub